CREATE procedure [C6StagingPeriodico].[RP_ST_AssetClass]  
as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_AssetClass',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_AssetClass  
 insert into C6StagingPeriodico.RP_AssetClass  
 --select * into C6StagingPeriodico.RP_AssetClass from [CONSEVO].[CatalogoProdotti].dbo.AssetClass  
 -- 21/12/2016 mod puntamento  
    --select * from [CONSEVO].[CatalogoProdotti].dbo.AssetClass  
    select asset,madre,livello,descrizione,codicergb,isresidual from [CONSUNI].[CatalogoProdotti].dbo.AssetClass  
 -- 21/12/2016 FINE mod puntamento  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_AssetClass' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_AssetClass'  
  )  
end